<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.messageManageDetail.dao.impl.SysMessageManageDetailDaoImpl">

    <resultMap id="get-SysMessageManageDetailEntity-result"
               type="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        <result property="id" column="id" jdbcType="VARCHAR"/>
        <result property="formmainId" column="formmain_id" jdbcType="VARCHAR"/>
        <result property="receiveName" column="receive_name" jdbcType="VARCHAR"/>
        <result property="receiveCode" column="receive_code" jdbcType="VARCHAR"/>
        <result property="receiveApp" column="receive_app" jdbcType="VARCHAR"/>
        <result property="receiveApi" column="receive_api" jdbcType="VARCHAR"/>
        <result property="dataType" column="data_type" jdbcType="VARCHAR"/>
        <result property="returnType" column="return_type" jdbcType="VARCHAR"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
        <result property="sorts" column="sorts" jdbcType="INTEGER"/>
        <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
        <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
        <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
        <result property="sts" column="sts" jdbcType="VARCHAR"/>
        <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
    </resultMap>
    <!-- 查询的字段-->
    <sql id="SysMessageManageDetailEntity_Base_Column_List">
        id
       ,formmain_id 
        ,receive_name 
        ,receive_code 
        ,receive_app 
        ,receive_api 
        ,data_type 
        ,return_type
        ,remark
        ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
     </sql>
    <!-- 查询 采用==查询 -->
    <select id="entity_list_base" resultMap="get-SysMessageManageDetailEntity-result"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        select
        <include refid="SysMessageManageDetailEntity_Base_Column_List"/>
        from sys_message_manage_detail
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="formmainId != null and formmainId != ''">and formmain_id = #{formmainId}</if>
            <if test="receiveName != null and receiveName != ''">and receive_name = #{receiveName}</if>
            <if test="receiveCode != null and receiveCode != ''">and receive_code = #{receiveCode}</if>
            <if test="receiveApp != null and receiveApp != ''">and receive_app = #{receiveApp}</if>
            <if test="receiveApi != null and receiveApi != ''">and receive_api = #{receiveApi}</if>
            <if test="dataType != null and dataType != ''">and data_type = #{dataType}</if>
            <if test="returnType != null and returnType != ''">and return_type = #{returnType}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">and modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询符合条件的数量 -->
    <select id="entity_count" resultType="Integer"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        select count(1) from sys_message_manage_detail
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="formmainId != null and formmainId != ''">and formmain_id = #{formmainId}</if>
            <if test="receiveName != null and receiveName != ''">and receive_name = #{receiveName}</if>
            <if test="receiveCode != null and receiveCode != ''">and receive_code = #{receiveCode}</if>
            <if test="receiveApp != null and receiveApp != ''">and receive_app = #{receiveApp}</if>
            <if test="receiveApi != null and receiveApi != ''">and receive_api = #{receiveApi}</if>
            <if test="dataType != null and dataType != ''">and data_type = #{dataType}</if>
            <if test="returnType != null and returnType != ''">and return_type = #{returnType}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">and modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
    <select id="entity_list_like" resultMap="get-SysMessageManageDetailEntity-result"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        select
        <include refid="SysMessageManageDetailEntity_Base_Column_List"/>
        from sys_message_manage_detail
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id like concat('%',#{id},'%')</if>
            <if test="formmainId != null and formmainId != ''">and formmain_id like concat('%',#{formmainId},'%')</if>
            <if test="receiveName != null and receiveName != ''">and receive_name like concat('%',#{receiveName},'%')
            </if>
            <if test="receiveCode != null and receiveCode != ''">and receive_code like concat('%',#{receiveCode},'%')
            </if>
            <if test="receiveApp != null and receiveApp != ''">and receive_app like concat('%',#{receiveApp},'%')</if>
            <if test="receiveApi != null and receiveApi != ''">and receive_api like concat('%',#{receiveApi},'%')</if>
            <if test="dataType != null and dataType != ''">and data_type like concat('%',#{dataType},'%')</if>
            <if test="returnType != null and returnType != ''">and return_type like concat('%',#{returnType},'%')</if>
            <if test="remark != null and remark != ''">and remark like concat('%',#{remark},'%')</if>
            <if test="sorts != null">and sorts like concat('%',#{sorts},'%')</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id like
                concat('%',#{create_user_id},'%')
            </if>
            <if test="create_time != null">and create_time like concat('%',#{create_time},'%')</if>
            <if test="modify_user_id != null and modify_user_id != ''">and modify_user_id like
                concat('%',#{modify_user_id},'%')
            </if>
            <if test="modify_time != null">and modify_time like concat('%',#{modify_time},'%')</if>
            <if test="sts != null and sts != ''">and sts like concat('%',#{sts},'%')</if>
            <if test="org_id != null and org_id != ''">and org_id like concat('%',#{org_id},'%')</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询列表 字段采用or格式 -->
    <select id="SysMessageManageDetailentity_list_or" resultMap="get-SysMessageManageDetailEntity-result"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        select
        <include refid="SysMessageManageDetailEntity_Base_Column_List"/>
        from sys_message_manage_detail
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">or id = #{id}</if>
            <if test="formmainId != null and formmainId != ''">or formmain_id = #{formmainId}</if>
            <if test="receiveName != null and receiveName != ''">or receive_name = #{receiveName}</if>
            <if test="receiveCode != null and receiveCode != ''">or receive_code = #{receiveCode}</if>
            <if test="receiveApp != null and receiveApp != ''">or receive_app = #{receiveApp}</if>
            <if test="receiveApi != null and receiveApi != ''">or receive_api = #{receiveApi}</if>
            <if test="dataType != null and dataType != ''">or data_type = #{dataType}</if>
            <if test="returnType != null and returnType != ''">or return_type = #{returnType}</if>
            <if test="remark != null and remark != ''">or remark = #{remark}</if>
            <if test="sorts != null">or sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">or create_user_id = #{create_user_id}</if>
            <if test="create_time != null">or create_time = #{create_time}</if>
            <if test="modify_user_id != null and modify_user_id != ''">or modify_user_id = #{modify_user_id}</if>
            <if test="modify_time != null">or modify_time = #{modify_time}</if>
            <if test="sts != null and sts != ''">or sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">or org_id = #{org_id}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString()  ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!--新增所有列-->
    <insert id="entity_insert"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity"
           >
        insert into sys_message_manage_detail(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''">id ,</if>
            <if test="formmainId != null and formmainId != ''">formmain_id ,</if>
            <if test="receiveName != null and receiveName != ''">receive_name ,</if>
            <if test="receiveCode != null and receiveCode != ''">receive_code ,</if>
            <if test="receiveApp != null and receiveApp != ''">receive_app ,</if>
            <if test="receiveApi != null and receiveApi != ''">receive_api ,</if>
            <if test="dataType != null and dataType != ''">data_type ,</if>
            <if test="returnType != null and returnType != ''">return_type ,</if>
            <if test="remark != null and remark != ''">remark ,</if>
            <if test="sorts != null">sorts ,</if>
            <if test="create_user_id != null and create_user_id != ''">create_user_id ,</if>
            <if test="create_time != null">create_time ,</if>
            <if test="modify_user_id != null and modify_user_id != ''">modify_user_id ,</if>
            <if test="modify_time != null">modify_time ,</if>
            <if test="sts != null and sts != ''">sts ,</if>
            <if test="org_id != null and org_id != ''">org_id ,</if>
            <if test="sts == null ">sts,</if>
        </trim>
        )values(
        <trim suffix="" suffixOverrides=",">
            <if test="id != null and id != ''">#{id} ,</if>
            <if test="formmainId != null and formmainId != ''">#{formmainId} ,</if>
            <if test="receiveName != null and receiveName != ''">#{receiveName} ,</if>
            <if test="receiveCode != null and receiveCode != ''">#{receiveCode} ,</if>
            <if test="receiveApp != null and receiveApp != ''">#{receiveApp} ,</if>
            <if test="receiveApi != null and receiveApi != ''">#{receiveApi} ,</if>
            <if test="dataType != null and dataType != ''">#{dataType} ,</if>
            <if test="returnType != null and returnType != ''">#{returnType} ,</if>
            <if test="remark != null and remark != ''">#{remark} ,</if>
            <if test="sorts != null">#{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''">#{create_user_id} ,</if>
            <if test="create_time != null">#{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''">#{modify_user_id} ,</if>
            <if test="modify_time != null">#{modify_time} ,</if>
            <if test="sts != null and sts != ''">#{sts} ,</if>
            <if test="org_id != null and org_id != ''">#{org_id} ,</if>

            <if test="sts == null ">'Y',</if>
        </trim>
        )
    </insert>
    <!-- 批量新增 -->
    <insert id="entityInsertBatch" >
        insert into sys_message_manage_detail(formmain_id, receive_name, receive_code, receive_app, receive_api,
        data_type, return_type, remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id, sts)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.formmainId},#{entity.receiveName},#{entity.receiveCode},#{entity.receiveApp},#{entity.receiveApi},#{entity.dataType},#{entity.returnType},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},
            'Y')
        </foreach>
    </insert>
    <!-- 批量新增或者修改-->
    <insert id="entityInsertOrUpdateBatch" >
        insert into sys_message_manage_detail(formmain_id, receive_name, receive_code, receive_app, receive_api,
        data_type, return_type, remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.formmainId},#{entity.receiveName},#{entity.receiveCode},#{entity.receiveApp},#{entity.receiveApi},#{entity.dataType},#{entity.returnType},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id})
        </foreach>
        on duplicate key update
        formmain_id = values(formmain_id),
        receive_name = values(receive_name),
        receive_code = values(receive_code),
        receive_app = values(receive_app),
        receive_api = values(receive_api),
        data_type = values(data_type),
        return_type = values(return_type),
        remark = values(remark),
        sorts = values(sorts),
        create_user_id = values(create_user_id),
        create_time = values(create_time),
        modify_user_id = values(modify_user_id),
        modify_time = values(modify_time),
        sts = values(sts),
        org_id = values(org_id)
    </insert>
    <!--通过主键修改方法-->
    <update id="entity_update"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        update sys_message_manage_detail set
        <trim suffix="" suffixOverrides=",">
            <if test="formmainId != null and formmainId != ''">formmain_id = #{formmainId},</if>
            <if test="receiveName != null and receiveName != ''">receive_name = #{receiveName},</if>
            <if test="receiveCode != null and receiveCode != ''">receive_code = #{receiveCode},</if>
            <if test="receiveApp != null and receiveApp != ''">receive_app = #{receiveApp},</if>
            <if test="receiveApi != null and receiveApi != ''">receive_api = #{receiveApi},</if>
            <if test="dataType != null and dataType != ''">data_type = #{dataType},</if>
            <if test="returnType != null and returnType != ''">return_type = #{returnType},</if>
            <if test="remark != null and remark != ''">remark = #{remark},</if>
            <if test="sorts != null">sorts = #{sorts},</if>
            <if test="create_user_id != null and create_user_id != ''">create_user_id = #{create_user_id},</if>
            <if test="create_time != null">create_time = #{create_time},</if>
            <if test="modify_user_id != null and modify_user_id != ''">modify_user_id = #{modify_user_id},</if>
            <if test="modify_time != null">modify_time = #{modify_time},</if>
            <if test="sts != null and sts != ''">sts = #{sts},</if>
            <if test="org_id != null and org_id != ''">org_id = #{org_id},</if>
        </trim>
        where id = #{id}
    </update>
    <!-- 逻辑删除 -->
    <update id="entity_logicDelete"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
update sys_message_manage_detail  set sts= 'N',modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
    <!-- 多条件逻辑删除 -->
    <update id="entity_logicDelete_Multi_Condition"
            parameterType="com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity">
        update sys_message_manage_detail set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
        <trim prefix="where" prefixOverrides="and">
            <if test="id != null and id != ''">and id = #{id}</if>
            <if test="formmainId != null and formmainId != ''">and formmain_id = #{formmainId}</if>
            <if test="receiveName != null and receiveName != ''">and receive_name = #{receiveName}</if>
            <if test="receiveCode != null and receiveCode != ''">and receive_code = #{receiveCode}</if>
            <if test="receiveApp != null and receiveApp != ''">and receive_app = #{receiveApp}</if>
            <if test="receiveApi != null and receiveApi != ''">and receive_api = #{receiveApi}</if>
            <if test="dataType != null and dataType != ''">and data_type = #{dataType}</if>
            <if test="returnType != null and returnType != ''">and return_type = #{returnType}</if>
            <if test="remark != null and remark != ''">and remark = #{remark}</if>
            <if test="sorts != null">and sorts = #{sorts}</if>
            <if test="create_user_id != null and create_user_id != ''">and create_user_id = #{create_user_id}</if>
            <if test="create_time != null">and create_time = #{create_time}</if>
            <if test="sts != null and sts != ''">and sts = #{sts}</if>
            <if test="org_id != null and org_id != ''">and org_id = #{org_id}</if>
            and sts='Y'
        </trim>
    </update>
    <!--通过主键删除-->
    <delete id="entity_delete">
    delete from sys_message_manage_detail where id = #{id}
</delete>

</mapper>

